관리 메뉴

I'm Prostars

trac을 설치하다. 본문

개발 관련

trac을 설치하다.

prostars 2008.12.17 12:27
파일서버로 사용되는 페도라 7에서 TRAC을 설치하였다.
설치와 설정 과정을 간략하게 적어본다.

yum install trac
의존성 검사 후 필요한 내용을 덩달아 설치.

0.10-4 버전이 설치되는데 이것을 지운다.
yum remove trac

python setuptools 설치
이걸 어떻게 설치했는지 까먹었다..-_-;;
yum으로 설치한 것인지 rpm을 받아서 설치한 것인지...
일단 패스...-_-;;

trac의 최신 버전인 0.11.2.1 을 다시 설치한다.
setuptools를 설치하면 아래와 같이 간단하기 trac을 설치하는 것이 가능하다.
easy_install http://svn.edgewall.org/repos/trac/tags/trac-0.11

기본적인 설치가 끝났다.

trac을 Apache와 연동하여 사용할 수도 있지만 standalone으로 설정해서 사용할 수도 있다.
나는 standalone으로 설정해서 사용하고 있다.
참고 : http://trac.edgewall.org/wiki/TracStandalone

설정에 필요한 내용을 간단히 정리해본다.
- trac 프로젝트 생성
  trac-admin /project_path/project_name initenv
  [대화식으로 진행되며 설정에 필요한 내용을 입력하게 된다....보면 안다.]
- trac 계정 추가
  python trac-digest.py -u username -p password >> password_file
  [여기서 trac-digest.py에 관한 내용은 위의 링크를 참조하면된다.]
- trac 권한 설정
  trac-admin /project_path/project_name permission add username TRAC_ADMIN
  [일단 아무 권한이나 설정해놔야 webadmin plug-in에서 추가로 다른 작업을 할 수 있다.  이걸 안 하면 계정 리스트에 보이지도 않더라..-_-;]
trac의 더 자세한 내용은 다른 문서들을 참조하기 바란다.

내가 삽질한 부분을 정리한다.
우리 개발팀은 TSVN 1.5.x를 사용한다.
페도라 6, 7에서는 SVN 1.4.x 버전대가 설치되며 알아본 바로는 1.5.x가 설치되지 않는다.
여기서 문제가 발생한다.

1.5.x 버전에서 생성한 repository에 1.4.x가 접근하지 못하는 것이다.
trac project를 생성하다 보면 아래와 비슷한 에러를 보는 경우가 생긴다.
[예상되는 파일 시스템 포맷 '2' , 발견된 파일 시스템 포맷 '3'] 머...이런 비슷한 에러다.
이것 때문에 페도라 6을 yum으로 페도라 7로 올려보는 삽질도 했으나...역시 svn은 1.5.x대가 설치가 안 되더라.

svn repository의 버전을 낮추는 방법이 있으니 링크를 올린다.
http://svn.collab.net/repos/svn/trunk/notes/repos_upgrade_HOWTO
2 Comments
댓글쓰기 폼